Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.jmx
Class JMXFactory

    java.lang.Object
      org.red5.server.jmx.JMXFactory

    public class JMXFactory

extends Object

Provides access to the MBeanServer as well as registration and creation of new MBean instances. For most classes the creation and registration is performed using StandardMBean wrappers.
References: http://www.onjava.com/pub/a/onjava/2004/09/29/tigerjmx.html?page=1 http://java.sun.com/developer/JDCTechTips/2005/tt0315.html#2
Examples: http://java.sun.com/javase/6/docs/technotes/guides/jmx/examples.html

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Constructor Summary
`JMXFactory()`

Method Summary
`static ObjectName` | `createMBean(String className, String attributes)`
`static ObjectName` | `createObjectName(String... strings)`
`static ObjectName` | `createSimpleMBean(String className, String objectNameStr)`
`static String` | `getDefaultDomain()`
`String` | `getDomain()`
`static MBeanServer` | `getMBeanServer()`
`static boolean` | `registerNewMBean(String className, Class interfaceClass)`
`static boolean` | `registerNewMBean(String className, Class interfaceClass, ObjectName name)`
`static boolean` | `registerNewMBean(String className, Class interfaceClass, String name)`
`void` | `setDomain(String domain)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXFactory

    public JMXFactory()

Method Detail

### createMBean

    public static ObjectName createMBean(String className,
                                         String attributes)

### createObjectName

    public static ObjectName createObjectName(String... strings)

### createSimpleMBean

    public static ObjectName createSimpleMBean(String className,
                                               String objectNameStr)

### getDefaultDomain

    public static String getDefaultDomain()

### getMBeanServer

    public static MBeanServer getMBeanServer()

### registerNewMBean

    public static boolean registerNewMBean(String className,
                                           Class interfaceClass)

### registerNewMBean

    public static boolean registerNewMBean(String className,
                                           Class interfaceClass,
                                           ObjectName name)

### registerNewMBean

    public static boolean registerNewMBean(String className,
                                           Class interfaceClass,
                                           String name)

### getDomain

    public String getDomain()

### setDomain

    public void setDomain(String domain)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project